summaryrefslogtreecommitdiff
path: root/configs/lxde-openrc/airootfs/root/.scriptsInstallation
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2018-12-22 16:33:28 -0300
committerDavid P <megver83@parabola.nu>2018-12-22 16:33:28 -0300
commit1bcd5e34fd312302faf8cad6764ba62beeb7d54f (patch)
tree6b5944058f0f99967f0907d8ceee8c627675e595 /configs/lxde-openrc/airootfs/root/.scriptsInstallation
parentf4e56f0e9abd3a9a3f56801bdbfc34bbd578e65f (diff)
Add archlinux32-keyring in install.sh scripts
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'configs/lxde-openrc/airootfs/root/.scriptsInstallation')
-rwxr-xr-xconfigs/lxde-openrc/airootfs/root/.scriptsInstallation/language/en/install.sh23
-rwxr-xr-xconfigs/lxde-openrc/airootfs/root/.scriptsInstallation/language/es/install.sh23
-rwxr-xr-xconfigs/lxde-openrc/airootfs/root/.scriptsInstallation/language/gl/install.sh23
-rwxr-xr-xconfigs/lxde-openrc/airootfs/root/.scriptsInstallation/language/pt/install.sh23
4 files changed, 56 insertions, 36 deletions
diff --git a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/en/install.sh b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/en/install.sh
index 2951347..7c27afc 100755
--- a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/en/install.sh
+++ b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/en/install.sh
@@ -1,16 +1,21 @@
#!/bin/bash
#Temporal is a file that contains parameters to use when access to chroot
+keys=(parabola archlinux)
+if [ $(uname -m) = i686 ]; then
+ keys+=(archlinux32)
+fi
+
if [ ! -f ~/.scriptsInstallation/.pacman ]; then
- pacman -Sy parabola-keyring archlinux-keyring --noconfirm
- pacman-key --populate parabola archlinux
- pacman-key --refresh-keys
- case $? in
- 0) touch ~/.scriptsInstallation/.pacman
- ;;
- *) false
- ;;
- esac
+ pacman -Sy ${keys[@]/%/-keyring} --noconfirm
+ pacman-key --populate ${keys[@]}
+ pacman-key --refresh-keys
+ case $? in
+ 0) touch ~/.scriptsInstallation/.pacman
+ ;;
+ *) false
+ ;;
+ esac
fi
partition(){
diff --git a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/es/install.sh b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/es/install.sh
index 41dbc6a..32d2a47 100755
--- a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/es/install.sh
+++ b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/es/install.sh
@@ -1,16 +1,21 @@
#!/bin/bash
#Temporal is a file that contains parameters to use when access to chroot
+keys=(parabola archlinux)
+if [ $(uname -m) = i686 ]; then
+ keys+=(archlinux32)
+fi
+
if [ ! -f ~/.scriptsInstallation/.pacman ]; then
- pacman -Sy parabola-keyring archlinux-keyring --noconfirm
- pacman-key --populate parabola archlinux
- pacman-key --refresh-keys
- case $? in
- 0) touch ~/.scriptsInstallation/.pacman
- ;;
- *) false
- ;;
- esac
+ pacman -Sy ${keys[@]/%/-keyring} --noconfirm
+ pacman-key --populate ${keys[@]}
+ pacman-key --refresh-keys
+ case $? in
+ 0) touch ~/.scriptsInstallation/.pacman
+ ;;
+ *) false
+ ;;
+ esac
fi
partition(){
diff --git a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/gl/install.sh b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/gl/install.sh
index e663e4f..57abe22 100755
--- a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/gl/install.sh
+++ b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/gl/install.sh
@@ -1,16 +1,21 @@
#!/bin/bash
#Temporal is a file that contains parameters to use when access to chroot
+keys=(parabola archlinux)
+if [ $(uname -m) = i686 ]; then
+ keys+=(archlinux32)
+fi
+
if [ ! -f ~/.scriptsInstallation/.pacman ]; then
- pacman -Sy parabola-keyring archlinux-keyring --noconfirm
- pacman-key --populate parabola archlinux
- pacman-key --refresh-keys
- case $? in
- 0) touch ~/.scriptsInstallation/.pacman
- ;;
- *) false
- ;;
- esac
+ pacman -Sy ${keys[@]/%/-keyring} --noconfirm
+ pacman-key --populate ${keys[@]}
+ pacman-key --refresh-keys
+ case $? in
+ 0) touch ~/.scriptsInstallation/.pacman
+ ;;
+ *) false
+ ;;
+ esac
fi
partition(){
diff --git a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/pt/install.sh b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/pt/install.sh
index ca6a356..c47cd6d 100755
--- a/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/pt/install.sh
+++ b/configs/lxde-openrc/airootfs/root/.scriptsInstallation/language/pt/install.sh
@@ -1,16 +1,21 @@
#!/bin/bash
#Temporal is a file that contains parameters to use when access to chroot
+keys=(parabola archlinux)
+if [ $(uname -m) = i686 ]; then
+ keys+=(archlinux32)
+fi
+
if [ ! -f ~/.scriptsInstallation/.pacman ]; then
- pacman -Sy parabola-keyring archlinux-keyring --noconfirm
- pacman-key --populate parabola archlinux
- pacman-key --refresh-keys
- case $? in
- 0) touch ~/.scriptsInstallation/.pacman
- ;;
- *) false
- ;;
- esac
+ pacman -Sy ${keys[@]/%/-keyring} --noconfirm
+ pacman-key --populate ${keys[@]}
+ pacman-key --refresh-keys
+ case $? in
+ 0) touch ~/.scriptsInstallation/.pacman
+ ;;
+ *) false
+ ;;
+ esac
fi
partition(){